Unknown macro 'json-viewer' display seen after updation

Problem

If you are on v1.0 or v1.1 , migrating to latest version will cause issues. This is because JSON Viewer latest version ( v 1.1.1 and above)  has breaking changes to accomodate Server to Cloud Confluence migration 

Solution

Install the latest version of JSON viewer for Confluence.

In case you see the "unknown macro" displayed on Page , perform the migration steps listed below

  


Connect to your Confluence Database and use the attached SQL query macro_update.sql
  1. psql -f macro_update.sql <db-name>
  2. Restart Confluence

    As running the SQL query involves directly modifying the database, ensure you backup the database before making any changes.